Skip to main content

Delete Tenant Settings

Use the Delete Tenant Settings API to delete the realm settings in a particular realm.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

DELETE https://{tenantId}.{hostname}/digitanium/v4/tenants/settings?key={demo}

HTTP request URL for SHIFT​

DELETE https://{hostname}/auth/realms/{tenantId}/v3_realm/settings?key={demo}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

Parameter NameTypeDescription
Keystringprovide the settings name which needs to be deleted

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Tenant setting deleted",
"status": "Success",
"subSystem": 1
}

Response Status Information​

Status CodeStatusMessage
200OKTenant setting deleted
400BAD_REQUESTTenant setting(s) not found
401UnauthorizedHTTP 401 Unauthorized